org.eclipse.jdt.debug.core

## Interface IJavaClassObject

All Superinterfaces:
  IAdaptable, IDebugElement, IJavaObject, IJavaValue, IValue

    public interface IJavaClassObject
    extends IJavaObject

An object referencing an instance of `java.lang.Class` on a target VM.

Since:
  2.0
See Also:
  `IJavaValue`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IJavaType` `getInstanceType()` Returns the type associated with instances of this class.

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaObject

`disableCollection, enableCollection, getField, getField, getOwningThread, getReferringObjects, getUniqueId, getWaitingThreads, sendMessage, sendMessage`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaValue

`getGenericSignature, getJavaType, getSignature, isNull`

### Methods inherited from interface org.eclipse.debug.core.model.IValue

`getReferenceTypeName, getValueString, getVariables, hasVariables, isAllocated`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getInstanceType

    IJavaType getInstanceType()

Returns the type associated with instances of this class.

Returns:
  the type associated with instances of this class